Daemon Power

The NetBSD Packages Collection: wm/xmonad

Brief description of the package:
Tiling window manager

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://hackage.haskell.org/package/xmonad.

Please note that this package has a modified-bsd license.

The package is located in the "wm/xmonad" directory. The current source version of the package is "xmonad-0.15". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for wm/xmonad :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: hs-data-default>=0.7.1 ghc>=8.8.1 perl>=5.0 cwrappers>=20150314 libffi>=1.20 gmp>=4.2.1 libffi>=3.3nb1 gmp>=5.0.1 compat80-[0-9]* hs-data-default-class>=0.1.2 ghc>=8.8.1nb2 hs-data-default-instances-containers>=0.0.1 hs-data-default-class>=0.1.2.0 hs-data-default-instances-dlist>=0.0.1 hs-dlist>=0.8.0 hs-dlist>=0.8.0.7 hs-data-default-instances-old-locale>=0.0.1 hs-old-locale>=1.0.0 hs-old-locale>=1.0.0.7 hs-data-default-instances-dlist>=0.0.1nb4 hs-extensible-exceptions>=0.1.1 hs-setlocale>=1.0.0 hs-utf8-string>=1.0.1 hs-X11>=1.9.1 Xrandr>=0.99 libXrender>=0.9.2 x11-links>=1.32 osabi-NetBSD-9.0_STABLE xorgproto>=2016.1 Xrandr>=1.0.1 libXScrnSaver>=1.1.2 hs-data-default>=0.7.1.1 Xrandr>=1.0.2nb3 hs-extensible-exceptions>=0.1.1.4 hs-setlocale>=1.0.0.9 hs-utf8-string>=1.0.1.1 .

This package requires the following package(s) to run: hs-data-default>=0.7.1 ghc>=8.8.1 perl>=5.0 libffi>=1.20 gmp>=4.2.1 libffi>=3.3nb1 gmp>=5.0.1 hs-data-default-class>=0.1.2 ghc>=8.8.1nb2 hs-data-default-instances-containers>=0.0.1 hs-data-default-class>=0.1.2.0 hs-data-default-instances-dlist>=0.0.1 hs-dlist>=0.8.0 hs-dlist>=0.8.0.7 hs-data-default-instances-old-locale>=0.0.1 hs-old-locale>=1.0.0 hs-old-locale>=1.0.0.7 hs-data-default-instances-dlist>=0.0.1nb4 hs-extensible-exceptions>=0.1.1 hs-setlocale>=1.0.0 hs-utf8-string>=1.0.1 hs-X11>=1.9.1 Xrandr>=0.99 libXrender>=0.9.2 Xrandr>=1.0.1 libXScrnSaver>=1.1.2 hs-data-default>=0.7.1.1 Xrandr>=1.0.2nb3 hs-extensible-exceptions>=0.1.1.4 hs-setlocale>=1.0.0.9 hs-utf8-string>=1.0.1.1 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
x86_64:xmonad-0.15.tgz(NetBSD 9.0)
x86_64:xmonad-0.15.tgz(NetBSD 9.0)
x86_64:xmonad-0.15.tgz(NetBSD 8.0)
x86_64:xmonad-0.15.tgz(NetBSD 8.0)
x86_64:xmonad-0.15.tgz(NetBSD 9.0)
x86_64:xmonad-0.15.tgz(NetBSD 9.0)
x86_64:xmonad-0.15.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]